XmVaCreateIconGadget(library call)

NAME
XmVaCreateIconGadget, XmVaCreateManagedIconGadget — A IconGadget widget convenience creation functions.

SYNOPSIS

#include <Xm/IconG.h>

Widget XmVaCreateIconGadget(
Widget parent,
String name,
...);

Widget XmVaCreateManagedIconGadget(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a IconGadget widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateIconGadget function is a convenience routine that calls XtCreateWidget.

The XmVaCreateManagedIconGadget function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of IconGadget and its associated resources, see XmIconGadget(3).

RETURN

Returns the IconGadget widget ID.

RELATED

XmIconGadget(3), XmCreateIconGadget(3), XtCreateWidget(3), and XtCreateManagedWidget(3).